<?php
session_start();
require_once 'includes/config.php';

if (!isset($_SESSION['user_logged_in']) && $_SESSION['user_logged_in'] != TRUE) {
    header('Location:login.php');
}

$customers=mysqli_query($con,'SELECT * FROM users WHERE status=1 AND role=2  ORDER BY id DESC');

if(isset($_GET['del_id']) && $_GET['del_id']!=''){
	$deleteEmployee=mysqli_query($con,"DELETE FROM users WHERE id=".$_GET['del_id']);
	if($deleteEmployee){
		$del_stat=1;
		$message='Employee deleted successfully.';
	}
}
require_once 'includes/header.php';
?>
<div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
			<a href="add_merchant.php" class="btn btn-primary btn-round">Add Merchant<div class="ripple-container"></div></a>
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title ">All Merchants </h4>
                  <p class="card-category"> </p>
                </div>
                <div class="card-body">
                  <div class="table-responsive">
                    <table class="table">
                      <thead class=" text-primary">
                        <th>No.</th>  
		   <th>UserId </th> 
		  <th>Name </th> 
		 
		  <th>Phone Number </th>
		  <th>Email </th>
		  <th>Address </th>
		  <th>Logo </th>
		 
		  <th>Join Date(Y-M-D) </th>
		  <th>Action </th>
                      </thead>
                      <tbody>
                        <?php
		if(mysqli_num_rows($customers)>0){	
		$i=1;
		while($customer=mysqli_fetch_array($customers)){?>
		<tr>
		<td><?php echo $i;?></td>
		<td><?php echo $customer['phone'];?></td>
		<td><?php echo $customer['first_name'];?></td>
		<td><?php echo $customer['phone'];?></td>
		<td><?php echo $customer['email'];?></td>
		<td><?php echo $customer['address'];?></td>
		<td><img src="<?php echo $customer['profile_pic'];?>" width="100" height="100"></td>
		
		<td><?php echo $customer['created_at'];?></td>
		<td>
		<a href="edit_merchant.php?id=<?php echo $customer['id'];?>" title="Edit Customer" class="btn btn-success"><i class="fa fa-edit"></i></a>
		<!--<a href="customers.php?del_id=<?php echo $customer['id'];?>" class="btn btn-danger delete_btn" title="Delete Customer"><i class="fa fa-trash"></i></a>-->
		</td>
		</tr>	
		<?php $i++;}
		}
		?>   
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            
          </div>
        </div>
      </div>

<?php include_once 'includes/footer.php'; ?>

<script type="text/javascript">
    $(document).ready(function () {
        $('.delete_btn').click(function () {
            var r = confirm("Are you sure?")
            if (r == true) {
                return true;
            } else {
                return false;
            }
        });
    });
</script> 